--
-- PostgreSQL database dump
--

-- Dumped from database version 9.5.6
-- Dumped by pg_dump version 9.5.6

SET statement_timeout = 0;
SET lock_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SET check_function_bodies = false;
SET client_min_messages = warning;
SET row_security = off;

--
-- Name: plpgsql; Type: EXTENSION; Schema: -; Owner: -
--

CREATE EXTENSION IF NOT EXISTS plpgsql WITH SCHEMA pg_catalog;


--
-- Name: EXTENSION plpgsql; Type: COMMENT; Schema: -; Owner: -
--

COMMENT ON EXTENSION plpgsql IS 'PL/pgSQL procedural language';


SET search_path = public, pg_catalog;

--
-- Name: collaboration_fc; Type: TYPE; Schema: public; Owner: -
--

CREATE TYPE collaboration_fc AS ENUM (
    'yes',
    'no',
    'maybe'
);


--
-- Name: enum_VersionedFile_permission; Type: TYPE; Schema: public; Owner: -
--

CREATE TYPE "enum_VersionedFile_permission" AS ENUM (
    'public',
    'participant',
    'manager'
);


--
-- Name: enum_events_event_type; Type: TYPE; Schema: public; Owner: -
--

CREATE TYPE enum_events_event_type AS ENUM (
    'schedule',
    'install',
    'issue'
);


SET default_with_oids = false;

--
-- Name: Capabilities; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE "Capabilities" (
    id integer NOT NULL,
    name character varying(255),
    created_at timestamp with time zone,
    updated_at timestamp with time zone
);


--
-- Name: Capabilities_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE "Capabilities_id_seq"
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: Capabilities_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE "Capabilities_id_seq" OWNED BY "Capabilities".id;


--
-- Name: CollabDevices; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE "CollabDevices" (
    id integer NOT NULL,
    collab_equipment_model_id integer NOT NULL,
    created_at timestamp with time zone,
    updated_at timestamp with time zone
);


--
-- Name: CollabDevices_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE "CollabDevices_id_seq"
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: CollabDevices_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE "CollabDevices_id_seq" OWNED BY "CollabDevices".id;


--
-- Name: CollabEquipmentModels; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE "CollabEquipmentModels" (
    id integer NOT NULL,
    collab_category_id integer NOT NULL,
    equipment_model_id integer NOT NULL,
    uses_datalogger boolean,
    datalogger_id integer,
    quantity integer,
    created_at timestamp with time zone,
    updated_at timestamp with time zone
);


--
-- Name: CollabEquipmentModels_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE "CollabEquipmentModels_id_seq"
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: CollabEquipmentModels_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE "CollabEquipmentModels_id_seq" OWNED BY "CollabEquipmentModels".id;


--
-- Name: CollabEquipmentSubcategories; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE "CollabEquipmentSubcategories" (
    id integer NOT NULL,
    collaboration_id integer NOT NULL,
    equipment_subcategory_id integer NOT NULL,
    quantity integer,
    transportation_cost boolean,
    usage_mode character varying(255),
    created_at timestamp with time zone,
    updated_at timestamp with time zone
);


--
-- Name: CollabEquipmentSubcategories_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE "CollabEquipmentSubcategories_id_seq"
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: CollabEquipmentSubcategories_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE "CollabEquipmentSubcategories_id_seq" OWNED BY "CollabEquipmentSubcategories".id;


--
-- Name: CollabPersonnelCategories; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE "CollabPersonnelCategories" (
    id integer NOT NULL,
    collaboration_id integer NOT NULL,
    personnel_category_id integer NOT NULL,
    quantity integer,
    created_at timestamp with time zone,
    updated_at timestamp with time zone
);


--
-- Name: CollabPersonnelCategories_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE "CollabPersonnelCategories_id_seq"
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: CollabPersonnelCategories_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE "CollabPersonnelCategories_id_seq" OWNED BY "CollabPersonnelCategories".id;


--
-- Name: CollabWindmodels; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE "CollabWindmodels" (
    id integer NOT NULL,
    collaboration_id integer NOT NULL,
    windmodel_id integer,
    windmodel_category_id integer NOT NULL,
    uses boolean,
    created_at timestamp with time zone,
    updated_at timestamp with time zone
);


--
-- Name: CollabWindmodels_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE "CollabWindmodels_id_seq"
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: CollabWindmodels_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE "CollabWindmodels_id_seq" OWNED BY "CollabWindmodels".id;


--
-- Name: Collaborations; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE "Collaborations" (
    id integer NOT NULL,
    institution_id integer NOT NULL,
    experiment_id integer NOT NULL,
    will_collaborate character varying(160),
    data text,
    created_at timestamp with time zone,
    updated_at timestamp with time zone
);


--
-- Name: Countries; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE "Countries" (
    id integer NOT NULL,
    name character varying,
    created_at timestamp with time zone,
    updated_at timestamp with time zone
);


--
-- Name: Devices; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE "Devices" (
    id integer NOT NULL,
    serial_number character varying(255),
    equipment_model_id integer,
    institution_id integer,
    created_at timestamp with time zone,
    updated_at timestamp with time zone
);


--
-- Name: Devices_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE "Devices_id_seq"
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: Devices_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE "Devices_id_seq" OWNED BY "Devices".id;


--
-- Name: EquipmentCategories; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE "EquipmentCategories" (
    id integer NOT NULL,
    short_title character varying(100),
    long_title character varying(150),
    created_at timestamp with time zone,
    updated_at timestamp with time zone
);


--
-- Name: EquipmentManufacturers; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE "EquipmentManufacturers" (
    id integer NOT NULL,
    name character varying(150),
    created_at timestamp with time zone,
    updated_at timestamp with time zone
);


--
-- Name: EquipmentModels; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE "EquipmentModels" (
    id integer NOT NULL,
    model character varying(150),
    webpage character varying(200),
    equipment_manufacturer_id integer NOT NULL,
    equipment_subcategory_id integer,
    updated_at timestamp with time zone,
    created_at timestamp with time zone,
    "photosFolder" integer,
    "datasheetsFolder" integer,
    "manualsFolder" integer,
    "othersFolder" integer
);


--
-- Name: EquipmentPositions; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE "EquipmentPositions" (
    id integer NOT NULL,
    station_id integer NOT NULL,
    number integer NOT NULL,
    equipment_subcategory_id integer NOT NULL,
    angle double precision,
    height double precision NOT NULL,
    created_at timestamp with time zone NOT NULL,
    updated_at timestamp with time zone NOT NULL
);


--
-- Name: EquipmentPositions_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE "EquipmentPositions_id_seq"
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: EquipmentPositions_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE "EquipmentPositions_id_seq" OWNED BY "EquipmentPositions".id;


--
-- Name: EquipmentSubcategories; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE "EquipmentSubcategories" (
    id integer NOT NULL,
    title character varying(150),
    not_operable boolean DEFAULT false,
    not_transportable boolean DEFAULT false,
    equipment_category_id integer,
    inserted_by integer,
    created_at timestamp with time zone,
    updated_at timestamp with time zone,
    icon integer
);


--
-- Name: ExperimentResponsibles; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE "ExperimentResponsibles" (
    experiment_id integer NOT NULL,
    user_id integer NOT NULL,
    created_at timestamp with time zone,
    updated_at timestamp with time zone
);


--
-- Name: Experiments; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE "Experiments" (
    id integer NOT NULL,
    begin_date date,
    end_date date,
    title character varying(100),
    disclaimer character varying(200),
    objective text,
    objective_abstract text,
    short_title character varying(100),
    contact_id integer,
    location integer,
    created_at timestamp with time zone,
    updated_at timestamp with time zone,
    y double precision,
    x double precision,
    "personalFolder" integer,
    project_id integer DEFAULT 1 NOT NULL,
    publish_date timestamp with time zone,
    photo integer,
    maps text,
    "mapPhotoFolder" integer,
    "mapFilesFolder" integer
);


--
-- Name: VersionedFile; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE "VersionedFile" (
    id integer NOT NULL,
    created_at timestamp with time zone,
    updated_at timestamp with time zone,
    name character varying(255),
    description text,
    folder_id integer,
    permission "enum_VersionedFile_permission" DEFAULT 'public'::"enum_VersionedFile_permission" NOT NULL,
    user_id integer
);


--
-- Name: FmFiles_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE "FmFiles_id_seq"
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: FmFiles_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE "FmFiles_id_seq" OWNED BY "VersionedFile".id;


--
-- Name: Folder; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE "Folder" (
    id integer NOT NULL,
    created_at timestamp with time zone,
    updated_at timestamp with time zone,
    name character varying(255),
    folder_id integer,
    user_id integer
);


--
-- Name: FmFolders_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE "FmFolders_id_seq"
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: FmFolders_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE "FmFolders_id_seq" OWNED BY "Folder".id;


--
-- Name: Institutions; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE "Institutions" (
    id integer NOT NULL,
    number integer NOT NULL,
    initials character varying(20) NOT NULL,
    name character varying(150) NOT NULL,
    parent_institution_id integer,
    created_at timestamp with time zone,
    updated_at timestamp with time zone
);


--
-- Name: NoVersionFile; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE "NoVersionFile" (
    id integer NOT NULL,
    created_at timestamp with time zone,
    updated_at timestamp with time zone,
    "mongoID" character varying(255) NOT NULL,
    user_id integer,
    name character varying(255) NOT NULL,
    "desc" text,
    folder_id integer
);


--
-- Name: NoVersionFile_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE "NoVersionFile_id_seq"
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: NoVersionFile_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE "NoVersionFile_id_seq" OWNED BY "NoVersionFile".id;


--
-- Name: ParticipationCapabilities; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE "ParticipationCapabilities" (
    participation_id integer NOT NULL,
    capability_id integer NOT NULL,
    created_at timestamp with time zone,
    updated_at timestamp with time zone
);


--
-- Name: Participations; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE "Participations" (
    id integer NOT NULL,
    experiment_id integer NOT NULL,
    user_id integer NOT NULL,
    role_id integer NOT NULL,
    created_at timestamp with time zone,
    updated_at timestamp with time zone
);


--
-- Name: Participations_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE "Participations_id_seq"
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: Participations_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE "Participations_id_seq" OWNED BY "Participations".id;


--
-- Name: Periods; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE "Periods" (
    id integer NOT NULL,
    participation_id integer NOT NULL,
    "from" timestamp with time zone,
    "to" timestamp with time zone,
    created_at timestamp with time zone,
    updated_at timestamp with time zone
);


--
-- Name: Periods_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE "Periods_id_seq"
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: Periods_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE "Periods_id_seq" OWNED BY "Periods".id;


--
-- Name: PersonnelCategories; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE "PersonnelCategories" (
    id integer NOT NULL,
    name character varying(255),
    personnel_category_id integer,
    created_at timestamp with time zone,
    updated_at timestamp with time zone
);


--
-- Name: PersonnelCategories_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE "PersonnelCategories_id_seq"
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: PersonnelCategories_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE "PersonnelCategories_id_seq" OWNED BY "PersonnelCategories".id;


--
-- Name: Regions; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE "Regions" (
    id integer NOT NULL,
    country_id integer,
    region character varying(100),
    utm character varying(150),
    created_at timestamp with time zone,
    updated_at timestamp with time zone
);


--
-- Name: SequelizeMeta; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE "SequelizeMeta" (
    name character varying(255) NOT NULL
);


--
-- Name: Sessions; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE "Sessions" (
    id integer NOT NULL,
    sid character varying(255) NOT NULL,
    data text,
    created_at timestamp with time zone NOT NULL,
    updated_at timestamp with time zone NOT NULL
);


--
-- Name: Sessions_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE "Sessions_id_seq"
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: Sessions_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE "Sessions_id_seq" OWNED BY "Sessions".id;


--
-- Name: Stations; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE "Stations" (
    id integer NOT NULL,
    experiment_id integer NOT NULL,
    coordinate_system character varying(255) NOT NULL,
    acronym character varying(255),
    number integer NOT NULL,
    x double precision NOT NULL,
    y double precision NOT NULL,
    equipment_subcategory_id integer NOT NULL,
    created_at timestamp with time zone NOT NULL,
    updated_at timestamp with time zone NOT NULL,
    "photosFolder" integer,
    install_at date,
    provision_at date,
    deprovision_at date,
    uninstall_at date,
    "documentsFolder" integer,
    details text
);


--
-- Name: Stations_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE "Stations_id_seq"
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: Stations_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE "Stations_id_seq" OWNED BY "Stations".id;


--
-- Name: Users; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE "Users" (
    id integer NOT NULL,
    first_name character varying(100) NOT NULL,
    last_name character varying(100) NOT NULL,
    password character varying(150),
    email character varying(150) NOT NULL,
    institution_id integer,
    may_edit boolean DEFAULT false,
    last_login timestamp without time zone,
    may_edit_2 boolean DEFAULT false,
    is_admin boolean DEFAULT false,
    telephone character varying(100),
    created_at timestamp with time zone,
    updated_at timestamp with time zone,
    is_curator boolean DEFAULT false,
    photo_id integer,
    cv_id integer
);


--
-- Name: Version; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE "Version" (
    id integer NOT NULL,
    versioned_file_id integer,
    created_at timestamp with time zone,
    updated_at timestamp with time zone,
    "mongoID" character varying(255) NOT NULL,
    user_id integer
);


--
-- Name: Version_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE "Version_id_seq"
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: Version_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE "Version_id_seq" OWNED BY "Version".id;


--
-- Name: WindmodelCategories; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE "WindmodelCategories" (
    id integer NOT NULL,
    title character varying(150),
    windmodel_category_parent_id integer,
    created_at timestamp with time zone,
    updated_at timestamp with time zone,
    CONSTRAINT valid_parent CHECK ((id <> windmodel_category_parent_id))
);


--
-- Name: Windmodels; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE "Windmodels" (
    id integer NOT NULL,
    title character varying(150) NOT NULL,
    model_category_id integer NOT NULL,
    inserted_by integer,
    created_at timestamp with time zone,
    updated_at timestamp with time zone
);


--
-- Name: WmsLayers; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE "WmsLayers" (
    id integer NOT NULL,
    name character varying(255) NOT NULL,
    url character varying(255) NOT NULL,
    layer character varying(255) DEFAULT '0'::character varying,
    style character varying(255) DEFAULT 'default'::character varying,
    experiment_id integer,
    created_at timestamp with time zone,
    updated_at timestamp with time zone,
    show_by_default boolean DEFAULT true
);


--
-- Name: WmsLayers_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE "WmsLayers_id_seq"
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: WmsLayers_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE "WmsLayers_id_seq" OWNED BY "WmsLayers".id;


--
-- Name: collaborations_collaboration_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE collaborations_collaboration_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: collaborations_collaboration_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE collaborations_collaboration_id_seq OWNED BY "Collaborations".id;


--
-- Name: country_country_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE country_country_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: country_country_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE country_country_id_seq OWNED BY "Countries".id;


--
-- Name: emails; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE emails (
    id integer NOT NULL,
    created_at timestamp with time zone,
    updated_at timestamp with time zone,
    "to" character varying(255) NOT NULL,
    cc character varying(255),
    subject character varying(255),
    body text NOT NULL,
    attached character varying(255),
    sender integer
);


--
-- Name: emails_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE emails_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: emails_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE emails_id_seq OWNED BY emails.id;


--
-- Name: equipment_categories_equipment_category_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE equipment_categories_equipment_category_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: equipment_categories_equipment_category_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE equipment_categories_equipment_category_id_seq OWNED BY "EquipmentCategories".id;


--
-- Name: equipment_characteristics; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE equipment_characteristics (
    equipment_characteristic_id integer NOT NULL,
    equipment_id integer NOT NULL,
    placeholder character varying(150) NOT NULL,
    is_expandable boolean DEFAULT false
);


--
-- Name: equipment_characteristics_enum_options; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE equipment_characteristics_enum_options (
    equipment_characteristics_enum_option_id integer NOT NULL,
    equipment_characteristic_id integer NOT NULL,
    title character varying(150) NOT NULL,
    inserted_by integer
);


--
-- Name: equipment_characteristics_enu_equipment_characteristics_enu_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE equipment_characteristics_enu_equipment_characteristics_enu_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: equipment_characteristics_enu_equipment_characteristics_enu_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE equipment_characteristics_enu_equipment_characteristics_enu_seq OWNED BY equipment_characteristics_enum_options.equipment_characteristics_enum_option_id;


--
-- Name: equipment_characteristics_equipment_characteristic_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE equipment_characteristics_equipment_characteristic_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: equipment_characteristics_equipment_characteristic_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE equipment_characteristics_equipment_characteristic_id_seq OWNED BY equipment_characteristics.equipment_characteristic_id;


--
-- Name: equipment_characteristics_number; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE equipment_characteristics_number (
    equipment_characteristic_number_id integer NOT NULL,
    equipment_characteristic_id integer NOT NULL,
    units character varying(100)
);


--
-- Name: equipment_characteristics_num_equipment_characteristic_numb_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE equipment_characteristics_num_equipment_characteristic_numb_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: equipment_characteristics_num_equipment_characteristic_numb_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE equipment_characteristics_num_equipment_characteristic_numb_seq OWNED BY equipment_characteristics_number.equipment_characteristic_number_id;


--
-- Name: equipment_equipment_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE equipment_equipment_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: equipment_equipment_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE equipment_equipment_id_seq OWNED BY "EquipmentSubcategories".id;


--
-- Name: equipment_manufacturers_equipment_manufacturer_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE equipment_manufacturers_equipment_manufacturer_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: equipment_manufacturers_equipment_manufacturer_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE equipment_manufacturers_equipment_manufacturer_id_seq OWNED BY "EquipmentManufacturers".id;


--
-- Name: equipment_models_equipment_model_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE equipment_models_equipment_model_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: equipment_models_equipment_model_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE equipment_models_equipment_model_id_seq OWNED BY "EquipmentModels".id;


--
-- Name: event_category; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE event_category (
    id integer NOT NULL,
    created_at timestamp with time zone,
    updated_at timestamp with time zone,
    name character varying(255) NOT NULL,
    type character varying(255),
    icon character varying(255),
    deleted_at timestamp with time zone
);


--
-- Name: event_category_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE event_category_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: event_category_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE event_category_id_seq OWNED BY event_category.id;


--
-- Name: events; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE events (
    id integer NOT NULL,
    created_at timestamp with time zone,
    updated_at timestamp with time zone,
    "photosFolder" integer,
    "documentsFolder" integer,
    content text NOT NULL,
    title character varying(255) NOT NULL,
    experiment_id integer,
    user_id integer,
    event_category_id integer,
    hidden boolean DEFAULT false
);


--
-- Name: events_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE events_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: events_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE events_id_seq OWNED BY events.id;


--
-- Name: experiments_experiment_id_seq1; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE experiments_experiment_id_seq1
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: experiments_experiment_id_seq1; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE experiments_experiment_id_seq1 OWNED BY "Experiments".id;


--
-- Name: institution_responsibles; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE institution_responsibles (
    user_id integer NOT NULL,
    institution_id integer NOT NULL,
    created_at timestamp with time zone,
    updated_at timestamp with time zone
);


--
-- Name: location_location_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE location_location_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: location_location_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE location_location_id_seq OWNED BY "Regions".id;


--
-- Name: models_categories_model_category_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE models_categories_model_category_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: models_categories_model_category_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE models_categories_model_category_id_seq OWNED BY "WindmodelCategories".id;


--
-- Name: models_model_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE models_model_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: models_model_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE models_model_id_seq OWNED BY "Windmodels".id;


--
-- Name: partners_partner_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE partners_partner_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: partners_partner_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE partners_partner_id_seq OWNED BY "Institutions".id;


--
-- Name: personnel_person_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE personnel_person_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: personnel_person_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE personnel_person_id_seq OWNED BY "Users".id;


--
-- Name: project_institutions; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE project_institutions (
    project_id integer NOT NULL,
    institution_id integer NOT NULL,
    created_at timestamp with time zone,
    updated_at timestamp with time zone,
    number integer NOT NULL
);


--
-- Name: project_responsibles; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE project_responsibles (
    project_id integer NOT NULL,
    user_id integer NOT NULL,
    created_at timestamp with time zone,
    updated_at timestamp with time zone
);


--
-- Name: projects; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE projects (
    id integer NOT NULL,
    name character varying(255) NOT NULL,
    "personalFolder" integer,
    created_at timestamp with time zone,
    updated_at timestamp with time zone
);


--
-- Name: projects_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE projects_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: projects_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE projects_id_seq OWNED BY projects.id;


--
-- Name: roles; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE roles (
    id integer NOT NULL,
    created_at timestamp with time zone,
    updated_at timestamp with time zone,
    name character varying(255)
);


--
-- Name: roles_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE roles_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: roles_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE roles_id_seq OWNED BY roles.id;


--
-- Name: session; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE session (
    sid character varying NOT NULL,
    sess text NOT NULL,
    expire timestamp(6) without time zone NOT NULL
);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY "Capabilities" ALTER COLUMN id SET DEFAULT nextval('"Capabilities_id_seq"'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY "CollabDevices" ALTER COLUMN id SET DEFAULT nextval('"CollabDevices_id_seq"'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY "CollabEquipmentModels" ALTER COLUMN id SET DEFAULT nextval('"CollabEquipmentModels_id_seq"'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY "CollabEquipmentSubcategories" ALTER COLUMN id SET DEFAULT nextval('"CollabEquipmentSubcategories_id_seq"'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY "CollabPersonnelCategories" ALTER COLUMN id SET DEFAULT nextval('"CollabPersonnelCategories_id_seq"'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY "CollabWindmodels" ALTER COLUMN id SET DEFAULT nextval('"CollabWindmodels_id_seq"'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY "Collaborations" ALTER COLUMN id SET DEFAULT nextval('collaborations_collaboration_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY "Countries" ALTER COLUMN id SET DEFAULT nextval('country_country_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY "Devices" ALTER COLUMN id SET DEFAULT nextval('"Devices_id_seq"'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY "EquipmentCategories" ALTER COLUMN id SET DEFAULT nextval('equipment_categories_equipment_category_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY "EquipmentManufacturers" ALTER COLUMN id SET DEFAULT nextval('equipment_manufacturers_equipment_manufacturer_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY "EquipmentModels" ALTER COLUMN id SET DEFAULT nextval('equipment_models_equipment_model_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY "EquipmentPositions" ALTER COLUMN id SET DEFAULT nextval('"EquipmentPositions_id_seq"'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY "EquipmentSubcategories" ALTER COLUMN id SET DEFAULT nextval('equipment_equipment_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY "Experiments" ALTER COLUMN id SET DEFAULT nextval('experiments_experiment_id_seq1'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY "Folder" ALTER COLUMN id SET DEFAULT nextval('"FmFolders_id_seq"'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY "Institutions" ALTER COLUMN id SET DEFAULT nextval('partners_partner_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY "NoVersionFile" ALTER COLUMN id SET DEFAULT nextval('"NoVersionFile_id_seq"'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY "Participations" ALTER COLUMN id SET DEFAULT nextval('"Participations_id_seq"'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY "Periods" ALTER COLUMN id SET DEFAULT nextval('"Periods_id_seq"'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY "PersonnelCategories" ALTER COLUMN id SET DEFAULT nextval('"PersonnelCategories_id_seq"'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY "Regions" ALTER COLUMN id SET DEFAULT nextval('location_location_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY "Sessions" ALTER COLUMN id SET DEFAULT nextval('"Sessions_id_seq"'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY "Stations" ALTER COLUMN id SET DEFAULT nextval('"Stations_id_seq"'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY "Users" ALTER COLUMN id SET DEFAULT nextval('personnel_person_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY "Version" ALTER COLUMN id SET DEFAULT nextval('"Version_id_seq"'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY "VersionedFile" ALTER COLUMN id SET DEFAULT nextval('"FmFiles_id_seq"'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY "WindmodelCategories" ALTER COLUMN id SET DEFAULT nextval('models_categories_model_category_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY "Windmodels" ALTER COLUMN id SET DEFAULT nextval('models_model_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY "WmsLayers" ALTER COLUMN id SET DEFAULT nextval('"WmsLayers_id_seq"'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY emails ALTER COLUMN id SET DEFAULT nextval('emails_id_seq'::regclass);


--
-- Name: equipment_characteristic_id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY equipment_characteristics ALTER COLUMN equipment_characteristic_id SET DEFAULT nextval('equipment_characteristics_equipment_characteristic_id_seq'::regclass);


--
-- Name: equipment_characteristics_enum_option_id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY equipment_characteristics_enum_options ALTER COLUMN equipment_characteristics_enum_option_id SET DEFAULT nextval('equipment_characteristics_enu_equipment_characteristics_enu_seq'::regclass);


--
-- Name: equipment_characteristic_number_id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY equipment_characteristics_number ALTER COLUMN equipment_characteristic_number_id SET DEFAULT nextval('equipment_characteristics_num_equipment_characteristic_numb_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY event_category ALTER COLUMN id SET DEFAULT nextval('event_category_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY events ALTER COLUMN id SET DEFAULT nextval('events_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY projects ALTER COLUMN id SET DEFAULT nextval('projects_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY roles ALTER COLUMN id SET DEFAULT nextval('roles_id_seq'::regclass);


--
-- Name: Capabilities_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY "Capabilities"
    ADD CONSTRAINT "Capabilities_pkey" PRIMARY KEY (id);


--
-- Name: CollabDevices_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY "CollabDevices"
    ADD CONSTRAINT "CollabDevices_pkey" PRIMARY KEY (id);


--
-- Name: CollabEquipmentModels_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY "CollabEquipmentModels"
    ADD CONSTRAINT "CollabEquipmentModels_pkey" PRIMARY KEY (id);


--
-- Name: CollabEquipmentSubcategories_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY "CollabEquipmentSubcategories"
    ADD CONSTRAINT "CollabEquipmentSubcategories_pkey" PRIMARY KEY (id);


--
-- Name: CollabPersonnelCategories_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY "CollabPersonnelCategories"
    ADD CONSTRAINT "CollabPersonnelCategories_pkey" PRIMARY KEY (id);


--
-- Name: CollabWindmodels_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY "CollabWindmodels"
    ADD CONSTRAINT "CollabWindmodels_pkey" PRIMARY KEY (id, windmodel_category_id);


--
-- Name: Devices_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY "Devices"
    ADD CONSTRAINT "Devices_pkey" PRIMARY KEY (id);


--
-- Name: EquipmentPositions_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY "EquipmentPositions"
    ADD CONSTRAINT "EquipmentPositions_pkey" PRIMARY KEY (id);


--
-- Name: EquipmentPositions_station_id_number_equipment_subcategory__key; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY "EquipmentPositions"
    ADD CONSTRAINT "EquipmentPositions_station_id_number_equipment_subcategory__key" UNIQUE (station_id, number, equipment_subcategory_id);


--
-- Name: FmFiles_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY "VersionedFile"
    ADD CONSTRAINT "FmFiles_pkey" PRIMARY KEY (id);


--
-- Name: FmFolders_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY "Folder"
    ADD CONSTRAINT "FmFolders_pkey" PRIMARY KEY (id);


--
-- Name: NoVersionFile_mongoID_key; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY "NoVersionFile"
    ADD CONSTRAINT "NoVersionFile_mongoID_key" UNIQUE ("mongoID");


--
-- Name: NoVersionFile_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY "NoVersionFile"
    ADD CONSTRAINT "NoVersionFile_pkey" PRIMARY KEY (id);


--
-- Name: Participations_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY "Participations"
    ADD CONSTRAINT "Participations_pkey" PRIMARY KEY (id);


--
-- Name: Periods_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY "Periods"
    ADD CONSTRAINT "Periods_pkey" PRIMARY KEY (id);


--
-- Name: PersonnelCategories_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY "PersonnelCategories"
    ADD CONSTRAINT "PersonnelCategories_pkey" PRIMARY KEY (id);


--
-- Name: SequelizeMeta_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY "SequelizeMeta"
    ADD CONSTRAINT "SequelizeMeta_pkey" PRIMARY KEY (name);


--
-- Name: Sessions_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY "Sessions"
    ADD CONSTRAINT "Sessions_pkey" PRIMARY KEY (id);


--
-- Name: Sessions_sid_key; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY "Sessions"
    ADD CONSTRAINT "Sessions_sid_key" UNIQUE (sid);


--
-- Name: Stations_number_equipment_subcategory_id_key; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY "Stations"
    ADD CONSTRAINT "Stations_number_equipment_subcategory_id_key" UNIQUE (number, equipment_subcategory_id);


--
-- Name: Stations_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY "Stations"
    ADD CONSTRAINT "Stations_pkey" PRIMARY KEY (id);


--
-- Name: Version_mongoID_key; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY "Version"
    ADD CONSTRAINT "Version_mongoID_key" UNIQUE ("mongoID");


--
-- Name: Version_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY "Version"
    ADD CONSTRAINT "Version_pkey" PRIMARY KEY (id);


--
-- Name: WmsLayers_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY "WmsLayers"
    ADD CONSTRAINT "WmsLayers_pkey" PRIMARY KEY (id);


--
-- Name: collaboration_partner_experiment; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY "Collaborations"
    ADD CONSTRAINT collaboration_partner_experiment UNIQUE (institution_id, experiment_id);


--
-- Name: collaborations_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY "Collaborations"
    ADD CONSTRAINT collaborations_pkey PRIMARY KEY (id);


--
-- Name: country_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY "Countries"
    ADD CONSTRAINT country_pkey PRIMARY KEY (id);


--
-- Name: emails_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY emails
    ADD CONSTRAINT emails_pkey PRIMARY KEY (id);


--
-- Name: equipment_categories_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY "EquipmentCategories"
    ADD CONSTRAINT equipment_categories_pkey PRIMARY KEY (id);


--
-- Name: equipment_characteristics_enum_options_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY equipment_characteristics_enum_options
    ADD CONSTRAINT equipment_characteristics_enum_options_pkey PRIMARY KEY (equipment_characteristics_enum_option_id);


--
-- Name: equipment_characteristics_number_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY equipment_characteristics_number
    ADD CONSTRAINT equipment_characteristics_number_pkey PRIMARY KEY (equipment_characteristic_number_id);


--
-- Name: equipment_characteristics_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY equipment_characteristics
    ADD CONSTRAINT equipment_characteristics_pkey PRIMARY KEY (equipment_characteristic_id);


--
-- Name: equipment_manufacturers_name_key; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY "EquipmentManufacturers"
    ADD CONSTRAINT equipment_manufacturers_name_key UNIQUE (name);


--
-- Name: equipment_manufacturers_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY "EquipmentManufacturers"
    ADD CONSTRAINT equipment_manufacturers_pkey PRIMARY KEY (id);


--
-- Name: equipment_models_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY "EquipmentModels"
    ADD CONSTRAINT equipment_models_pkey PRIMARY KEY (id);


--
-- Name: equipment_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY "EquipmentSubcategories"
    ADD CONSTRAINT equipment_pkey PRIMARY KEY (id);


--
-- Name: event_category_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY event_category
    ADD CONSTRAINT event_category_pkey PRIMARY KEY (id);


--
-- Name: events_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY events
    ADD CONSTRAINT events_pkey PRIMARY KEY (id);


--
-- Name: experiment_responsible_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY "ExperimentResponsibles"
    ADD CONSTRAINT experiment_responsible_pkey PRIMARY KEY (experiment_id, user_id);


--
-- Name: experiments_pkey1; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY "Experiments"
    ADD CONSTRAINT experiments_pkey1 PRIMARY KEY (id);


--
-- Name: institution_responsibles_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY institution_responsibles
    ADD CONSTRAINT institution_responsibles_pkey PRIMARY KEY (user_id, institution_id);


--
-- Name: location_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY "Regions"
    ADD CONSTRAINT location_pkey PRIMARY KEY (id);


--
-- Name: models_categories_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY "WindmodelCategories"
    ADD CONSTRAINT models_categories_pkey PRIMARY KEY (id);


--
-- Name: models_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY "Windmodels"
    ADD CONSTRAINT models_pkey PRIMARY KEY (id);


--
-- Name: partners_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY "Institutions"
    ADD CONSTRAINT partners_pkey PRIMARY KEY (id);


--
-- Name: personnel_email_key; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY "Users"
    ADD CONSTRAINT personnel_email_key UNIQUE (email);


--
-- Name: personnel_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY "Users"
    ADD CONSTRAINT personnel_pkey PRIMARY KEY (id);


--
-- Name: project_institutions_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY project_institutions
    ADD CONSTRAINT project_institutions_pkey PRIMARY KEY (project_id, institution_id);


--
-- Name: project_responsibles_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY project_responsibles
    ADD CONSTRAINT project_responsibles_pkey PRIMARY KEY (project_id, user_id);


--
-- Name: projects_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY projects
    ADD CONSTRAINT projects_pkey PRIMARY KEY (id);


--
-- Name: roles_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY roles
    ADD CONSTRAINT roles_pkey PRIMARY KEY (id);


--
-- Name: session_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY session
    ADD CONSTRAINT session_pkey PRIMARY KEY (sid);


--
-- Name: unique_participation; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY "Participations"
    ADD CONSTRAINT unique_participation UNIQUE (user_id, experiment_id);


--
-- Name: equipment_model_reference; Type: INDEX; Schema: public; Owner: -
--

CREATE UNIQUE INDEX equipment_model_reference ON "Devices" USING btree (serial_number, equipment_model_id);


--
-- Name: project_number; Type: INDEX; Schema: public; Owner: -
--

CREATE UNIQUE INDEX project_number ON project_institutions USING btree (project_id, number);


--
-- Name: CollabDevices_collab_equipment_model_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY "CollabDevices"
    ADD CONSTRAINT "CollabDevices_collab_equipment_model_id_fkey" FOREIGN KEY (collab_equipment_model_id) REFERENCES "CollabEquipmentModels"(id);


--
-- Name: CollabEquipmentModels_collab_category_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY "CollabEquipmentModels"
    ADD CONSTRAINT "CollabEquipmentModels_collab_category_id_fkey" FOREIGN KEY (collab_category_id) REFERENCES "CollabEquipmentSubcategories"(id) ON DELETE CASCADE;


--
-- Name: CollabEquipmentModels_datalogger_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY "CollabEquipmentModels"
    ADD CONSTRAINT "CollabEquipmentModels_datalogger_id_fkey" FOREIGN KEY (datalogger_id) REFERENCES "EquipmentModels"(id);


--
-- Name: CollabEquipmentModels_equipment_model_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY "CollabEquipmentModels"
    ADD CONSTRAINT "CollabEquipmentModels_equipment_model_id_fkey" FOREIGN KEY (equipment_model_id) REFERENCES "EquipmentModels"(id);


--
-- Name: CollabEquipmentSubcategories_collaboration_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY "CollabEquipmentSubcategories"
    ADD CONSTRAINT "CollabEquipmentSubcategories_collaboration_id_fkey" FOREIGN KEY (collaboration_id) REFERENCES "Collaborations"(id);


--
-- Name: CollabEquipmentSubcategories_equipment_subcategory_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY "CollabEquipmentSubcategories"
    ADD CONSTRAINT "CollabEquipmentSubcategories_equipment_subcategory_id_fkey" FOREIGN KEY (equipment_subcategory_id) REFERENCES "EquipmentSubcategories"(id);


--
-- Name: CollabPersonnelCategories_collaboration_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY "CollabPersonnelCategories"
    ADD CONSTRAINT "CollabPersonnelCategories_collaboration_id_fkey" FOREIGN KEY (collaboration_id) REFERENCES "Collaborations"(id);


--
-- Name: CollabPersonnelCategories_personnel_category_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY "CollabPersonnelCategories"
    ADD CONSTRAINT "CollabPersonnelCategories_personnel_category_id_fkey" FOREIGN KEY (personnel_category_id) REFERENCES "PersonnelCategories"(id);


--
-- Name: CollabWindmodels_collaboration_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY "CollabWindmodels"
    ADD CONSTRAINT "CollabWindmodels_collaboration_id_fkey" FOREIGN KEY (collaboration_id) REFERENCES "Collaborations"(id);


--
-- Name: CollabWindmodels_windmodel_category_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY "CollabWindmodels"
    ADD CONSTRAINT "CollabWindmodels_windmodel_category_id_fkey" FOREIGN KEY (windmodel_category_id) REFERENCES "WindmodelCategories"(id);


--
-- Name: CollabWindmodels_windmodel_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY "CollabWindmodels"
    ADD CONSTRAINT "CollabWindmodels_windmodel_id_fkey" FOREIGN KEY (windmodel_id) REFERENCES "Windmodels"(id);


--
-- Name: Devices_equipment_model_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY "Devices"
    ADD CONSTRAINT "Devices_equipment_model_id_fkey" FOREIGN KEY (equipment_model_id) REFERENCES "EquipmentModels"(id);


--
-- Name: Devices_institution_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY "Devices"
    ADD CONSTRAINT "Devices_institution_id_fkey" FOREIGN KEY (institution_id) REFERENCES "Institutions"(id);


--
-- Name: EquipmentModels_datasheetsFolder_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY "EquipmentModels"
    ADD CONSTRAINT "EquipmentModels_datasheetsFolder_fkey" FOREIGN KEY ("datasheetsFolder") REFERENCES "Folder"(id);


--
-- Name: EquipmentModels_manualsFolder_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY "EquipmentModels"
    ADD CONSTRAINT "EquipmentModels_manualsFolder_fkey" FOREIGN KEY ("manualsFolder") REFERENCES "Folder"(id);


--
-- Name: EquipmentModels_othersFolder_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY "EquipmentModels"
    ADD CONSTRAINT "EquipmentModels_othersFolder_fkey" FOREIGN KEY ("othersFolder") REFERENCES "Folder"(id);


--
-- Name: EquipmentModels_personalFolder_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY "EquipmentModels"
    ADD CONSTRAINT "EquipmentModels_personalFolder_fkey" FOREIGN KEY ("photosFolder") REFERENCES "Folder"(id);


--
-- Name: EquipmentPositions_equipment_subcategory_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY "EquipmentPositions"
    ADD CONSTRAINT "EquipmentPositions_equipment_subcategory_id_fkey" FOREIGN KEY (equipment_subcategory_id) REFERENCES "EquipmentSubcategories"(id) ON UPDATE CASCADE;


--
-- Name: EquipmentPositions_station_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY "EquipmentPositions"
    ADD CONSTRAINT "EquipmentPositions_station_id_fkey" FOREIGN KEY (station_id) REFERENCES "Stations"(id) ON DELETE CASCADE;


--
-- Name: EquipmentSubcategories_icon_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY "EquipmentSubcategories"
    ADD CONSTRAINT "EquipmentSubcategories_icon_fkey" FOREIGN KEY (icon) REFERENCES "NoVersionFile"(id) ON DELETE SET NULL;


--
-- Name: Experiments_fm_folder_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY "Experiments"
    ADD CONSTRAINT "Experiments_fm_folder_id_fkey" FOREIGN KEY ("personalFolder") REFERENCES "Folder"(id);


--
-- Name: Experiments_mapFilesFolder_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY "Experiments"
    ADD CONSTRAINT "Experiments_mapFilesFolder_fkey" FOREIGN KEY ("mapFilesFolder") REFERENCES "Folder"(id);


--
-- Name: Experiments_mapPhotoFolder_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY "Experiments"
    ADD CONSTRAINT "Experiments_mapPhotoFolder_fkey" FOREIGN KEY ("mapPhotoFolder") REFERENCES "Folder"(id);


--
-- Name: Experiments_photo_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY "Experiments"
    ADD CONSTRAINT "Experiments_photo_fkey" FOREIGN KEY (photo) REFERENCES "NoVersionFile"(id) ON DELETE SET NULL;


--
-- Name: Experiments_project_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY "Experiments"
    ADD CONSTRAINT "Experiments_project_id_fkey" FOREIGN KEY (project_id) REFERENCES projects(id);


--
-- Name: Folder_user_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY "Folder"
    ADD CONSTRAINT "Folder_user_id_fkey" FOREIGN KEY (user_id) REFERENCES "Users"(id);


--
-- Name: NoVersionFile_folder_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY "NoVersionFile"
    ADD CONSTRAINT "NoVersionFile_folder_id_fkey" FOREIGN KEY (folder_id) REFERENCES "Folder"(id);


--
-- Name: NoVersionFile_idCreator_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY "NoVersionFile"
    ADD CONSTRAINT "NoVersionFile_idCreator_fkey" FOREIGN KEY (user_id) REFERENCES "Users"(id);


--
-- Name: ParticipationCapabilities_capability_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY "ParticipationCapabilities"
    ADD CONSTRAINT "ParticipationCapabilities_capability_id_fkey" FOREIGN KEY (capability_id) REFERENCES "Capabilities"(id);


--
-- Name: ParticipationCapabilities_participation_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY "ParticipationCapabilities"
    ADD CONSTRAINT "ParticipationCapabilities_participation_id_fkey" FOREIGN KEY (participation_id) REFERENCES "Participations"(id) ON DELETE CASCADE;


--
-- Name: Participations_experiment_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY "Participations"
    ADD CONSTRAINT "Participations_experiment_id_fkey" FOREIGN KEY (experiment_id) REFERENCES "Experiments"(id);


--
-- Name: Participations_role_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY "Participations"
    ADD CONSTRAINT "Participations_role_id_fkey" FOREIGN KEY (role_id) REFERENCES roles(id);


--
-- Name: Participations_user_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY "Participations"
    ADD CONSTRAINT "Participations_user_id_fkey" FOREIGN KEY (user_id) REFERENCES "Users"(id);


--
-- Name: Periods_participation_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY "Periods"
    ADD CONSTRAINT "Periods_participation_id_fkey" FOREIGN KEY (participation_id) REFERENCES "Participations"(id) ON DELETE CASCADE;


--
-- Name: PersonnelCategories_personnel_category_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY "PersonnelCategories"
    ADD CONSTRAINT "PersonnelCategories_personnel_category_id_fkey" FOREIGN KEY (personnel_category_id) REFERENCES "PersonnelCategories"(id);


--
-- Name: Stations_documentsFolder_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY "Stations"
    ADD CONSTRAINT "Stations_documentsFolder_fkey" FOREIGN KEY ("documentsFolder") REFERENCES "Folder"(id);


--
-- Name: Stations_equipment_subcategory_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY "Stations"
    ADD CONSTRAINT "Stations_equipment_subcategory_id_fkey" FOREIGN KEY (equipment_subcategory_id) REFERENCES "EquipmentSubcategories"(id) ON UPDATE CASCADE;


--
-- Name: Stations_experiment_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY "Stations"
    ADD CONSTRAINT "Stations_experiment_id_fkey" FOREIGN KEY (experiment_id) REFERENCES "Experiments"(id) ON UPDATE CASCADE;


--
-- Name: Stations_personalFolder_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY "Stations"
    ADD CONSTRAINT "Stations_personalFolder_fkey" FOREIGN KEY ("photosFolder") REFERENCES "Folder"(id);


--
-- Name: Users_cv_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY "Users"
    ADD CONSTRAINT "Users_cv_id_fkey" FOREIGN KEY (cv_id) REFERENCES "NoVersionFile"(id) ON DELETE SET NULL;


--
-- Name: Users_photo_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY "Users"
    ADD CONSTRAINT "Users_photo_id_fkey" FOREIGN KEY (photo_id) REFERENCES "NoVersionFile"(id);


--
-- Name: Version_user_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY "Version"
    ADD CONSTRAINT "Version_user_id_fkey" FOREIGN KEY (user_id) REFERENCES "Users"(id);


--
-- Name: VersionedFile_idCreator_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY "VersionedFile"
    ADD CONSTRAINT "VersionedFile_idCreator_fkey" FOREIGN KEY (user_id) REFERENCES "Users"(id);


--
-- Name: WmsLayers_experiment_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY "WmsLayers"
    ADD CONSTRAINT "WmsLayers_experiment_id_fkey" FOREIGN KEY (experiment_id) REFERENCES "Experiments"(id);


--
-- Name: collaborations_experiment_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY "Collaborations"
    ADD CONSTRAINT collaborations_experiment_id_fkey FOREIGN KEY (experiment_id) REFERENCES "Experiments"(id);


--
-- Name: collaborations_partner_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY "Collaborations"
    ADD CONSTRAINT collaborations_partner_id_fkey FOREIGN KEY (institution_id) REFERENCES "Institutions"(id);


--
-- Name: emails_sender_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY emails
    ADD CONSTRAINT emails_sender_fkey FOREIGN KEY (sender) REFERENCES "Users"(id) ON DELETE SET NULL;


--
-- Name: equipment_characteristics_enum_equipment_characteristic_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY equipment_characteristics_enum_options
    ADD CONSTRAINT equipment_characteristics_enum_equipment_characteristic_id_fkey FOREIGN KEY (equipment_characteristic_id) REFERENCES equipment_characteristics(equipment_characteristic_id);


--
-- Name: equipment_characteristics_enum_options_inserted_by_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY equipment_characteristics_enum_options
    ADD CONSTRAINT equipment_characteristics_enum_options_inserted_by_fkey FOREIGN KEY (inserted_by) REFERENCES "Institutions"(id);


--
-- Name: equipment_characteristics_equipment_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY equipment_characteristics
    ADD CONSTRAINT equipment_characteristics_equipment_id_fkey FOREIGN KEY (equipment_id) REFERENCES "EquipmentSubcategories"(id);


--
-- Name: equipment_characteristics_numb_equipment_characteristic_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY equipment_characteristics_number
    ADD CONSTRAINT equipment_characteristics_numb_equipment_characteristic_id_fkey FOREIGN KEY (equipment_characteristic_id) REFERENCES equipment_characteristics(equipment_characteristic_id);


--
-- Name: equipment_equipment_category_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY "EquipmentSubcategories"
    ADD CONSTRAINT equipment_equipment_category_id_fkey FOREIGN KEY (equipment_category_id) REFERENCES "EquipmentCategories"(id);


--
-- Name: equipment_inserted_by_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY "EquipmentSubcategories"
    ADD CONSTRAINT equipment_inserted_by_fkey FOREIGN KEY (inserted_by) REFERENCES "Institutions"(id);


--
-- Name: equipment_models_manufacturer_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY "EquipmentModels"
    ADD CONSTRAINT equipment_models_manufacturer_id_fkey FOREIGN KEY (equipment_manufacturer_id) REFERENCES "EquipmentManufacturers"(id);


--
-- Name: equipment_models_type_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY "EquipmentModels"
    ADD CONSTRAINT equipment_models_type_id_fkey FOREIGN KEY (equipment_subcategory_id) REFERENCES "EquipmentSubcategories"(id);


--
-- Name: events_documentsFolder_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY events
    ADD CONSTRAINT "events_documentsFolder_fkey" FOREIGN KEY ("documentsFolder") REFERENCES "Folder"(id);


--
-- Name: events_event_category_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY events
    ADD CONSTRAINT events_event_category_id_fkey FOREIGN KEY (event_category_id) REFERENCES event_category(id);


--
-- Name: events_experimet_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY events
    ADD CONSTRAINT events_experimet_id_fkey FOREIGN KEY (experiment_id) REFERENCES "Experiments"(id);


--
-- Name: events_photosFolder_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY events
    ADD CONSTRAINT "events_photosFolder_fkey" FOREIGN KEY ("photosFolder") REFERENCES "Folder"(id);


--
-- Name: events_user_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY events
    ADD CONSTRAINT events_user_id_fkey FOREIGN KEY (user_id) REFERENCES "Users"(id);


--
-- Name: experiment_contact_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY "Experiments"
    ADD CONSTRAINT experiment_contact_fkey FOREIGN KEY (contact_id) REFERENCES "Users"(id) ON DELETE SET NULL;


--
-- Name: experiment_responsible_experiment_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY "ExperimentResponsibles"
    ADD CONSTRAINT experiment_responsible_experiment_id_fkey FOREIGN KEY (experiment_id) REFERENCES "Experiments"(id);


--
-- Name: experiment_responsible_person_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY "ExperimentResponsibles"
    ADD CONSTRAINT experiment_responsible_person_id_fkey FOREIGN KEY (user_id) REFERENCES "Users"(id);


--
-- Name: folder_id_foreign_idx; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY "VersionedFile"
    ADD CONSTRAINT folder_id_foreign_idx FOREIGN KEY (folder_id) REFERENCES "Folder"(id) ON DELETE CASCADE;


--
-- Name: folder_id_foreign_idx; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY "Folder"
    ADD CONSTRAINT folder_id_foreign_idx FOREIGN KEY (folder_id) REFERENCES "Folder"(id) ON DELETE CASCADE;


--
-- Name: institution_responsibles_institution_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY institution_responsibles
    ADD CONSTRAINT institution_responsibles_institution_id_fkey FOREIGN KEY (institution_id) REFERENCES "Institutions"(id);


--
-- Name: institution_responsibles_user_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY institution_responsibles
    ADD CONSTRAINT institution_responsibles_user_id_fkey FOREIGN KEY (user_id) REFERENCES "Users"(id);


--
-- Name: models_categories_model_category_parent_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY "WindmodelCategories"
    ADD CONSTRAINT models_categories_model_category_parent_id_fkey FOREIGN KEY (windmodel_category_parent_id) REFERENCES "WindmodelCategories"(id);


--
-- Name: models_inserted_by_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY "Windmodels"
    ADD CONSTRAINT models_inserted_by_fkey FOREIGN KEY (inserted_by) REFERENCES "Institutions"(id);


--
-- Name: models_model_category_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY "Windmodels"
    ADD CONSTRAINT models_model_category_id_fkey FOREIGN KEY (model_category_id) REFERENCES "WindmodelCategories"(id);


--
-- Name: p_partner_foreign_key; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY "Institutions"
    ADD CONSTRAINT p_partner_foreign_key FOREIGN KEY (parent_institution_id) REFERENCES "Institutions"(id);


--
-- Name: personnel_works_at_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY "Users"
    ADD CONSTRAINT personnel_works_at_fkey FOREIGN KEY (institution_id) REFERENCES "Institutions"(id);


--
-- Name: project_institutions_institution_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY project_institutions
    ADD CONSTRAINT project_institutions_institution_id_fkey FOREIGN KEY (institution_id) REFERENCES "Institutions"(id);


--
-- Name: project_institutions_project_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY project_institutions
    ADD CONSTRAINT project_institutions_project_id_fkey FOREIGN KEY (project_id) REFERENCES projects(id);


--
-- Name: project_responsibles_project_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY project_responsibles
    ADD CONSTRAINT project_responsibles_project_id_fkey FOREIGN KEY (project_id) REFERENCES projects(id);


--
-- Name: project_responsibles_user_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY project_responsibles
    ADD CONSTRAINT project_responsibles_user_id_fkey FOREIGN KEY (user_id) REFERENCES "Users"(id);


--
-- Name: projects_personalFolder_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY projects
    ADD CONSTRAINT "projects_personalFolder_fkey" FOREIGN KEY ("personalFolder") REFERENCES "Folder"(id);


--
-- Name: versioned_file_id_foreign_idx; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY "Version"
    ADD CONSTRAINT versioned_file_id_foreign_idx FOREIGN KEY (versioned_file_id) REFERENCES "VersionedFile"(id) ON DELETE CASCADE;


--
-- PostgreSQL database dump complete
--

